> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2/synchronization/synchronization-endpoints.md).

# Synchronization endpoints

The synchronization REST API exposes the following endpoints.

| Method                                                                  | Description                                                                                  |
| ----------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| POST `/import/synchronize/<synchronization_id>/batch/<file_format>-job` | Start or continue a synchronization cycle by providing a list of import commands to execute. |
| POST `/import/synchronize/<synchronization_id>/finalize/job`            | Terminate a synchronization cycle.                                                           |
| POST `/import/synchronize/<synchronization_id>/<file_format>-job`       | Execute a full synchronization cycle in one single REST call.                                |

{% hint style="info" %}

* `<synchronization_id>` is the [ID](/api/guides/working-with-the-import-api-v2/synchronization/synchronization-id.md) assigned to your synchronization
* `<file_format>` is either [`json`](/api/guides/working-with-the-import-api-v2/importing-json-files.md), [`csv`](/api/guides/working-with-the-import-api-v2/importing-csv-and-excel-files/importing-csv-files.md), or [`excel`](/api/guides/working-with-the-import-api-v2/importing-csv-and-excel-files/importing-excel-files.md) depending on the used import file format.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2/synchronization/synchronization-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
